Go to the first, previous, next, last section, table of contents.

### `%`

`poly % m`
  :: integer remainder to all integer coefficients of the polynomial.

return
  integer or polynomial
poly
  integer or polynomial with integer coefficients
m
  intger

- Returns a polynomial whose coefficients are remainders of the coefficients of the input polynomial divided by m.
- The resulting coefficients are all normalized to non-negative integers.
- An integer is allowed for poly. This can be used for an alternative for `irem()` except that the result is normalized to a non-negative integer.
- Coefficients of poly and m must all be integers, though the type checking is not done.

    [0] (x+2)^5 % 3;
    x^5+x^4+x^3+2*x^2+2*x+2
    [1] (x-2)^5 % 3;
    x^5+2*x^4+x^3+x^2+2*x+1
    [2] (-5) % 4;
    3
    [3] irem(-5,4);
    -1

`References`
  section `idiv`, `irem`.

Go to the first, previous, next, last section, table of contents.